[Testing Update x32] 2017-12-29 - Calamares, Kernel 4.14.9, x32-stable

Hi everyone!

This is it. This is going to be x32-stable. Please test!

This set bumps kernel 4.14.9 and updates some Manjaro settings packages. VLC 3.0.0 hit rc3 so vlc-nightly is updated. Of particular note is Calamares which is brought in-line with the 64-bit packages.

The x32-stable branch is ready to go so unless there are any massive issues (which I can't see there being) this set will be snapped over and become x32-stable. This also means anyone still running i686 on the 64-bit repos can (shortly) be automatically migrated over.

Kernels

  • linux316 - 3.16.51
  • linux41 - 4.1.48
  • linux44 - 4.4.108
  • linux49 - 4.9.72
  • linux414 - 4.14.9

Full list of changes

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE           2017-12-26           2017-12-29
-------------------------------------------------------------------------------
                            linux414             4.14.9-1             4.14.9-2
                    linux414-headers             4.14.9-1             4.14.9-2
                     manjaro-release            17.1rc3-1            17.1rc4-1


:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE           2017-12-26           2017-12-29
-------------------------------------------------------------------------------
                              dialog     1:1.3_20170509-1   1:1.3_20171209-1.0


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           2017-12-26           2017-12-29
-------------------------------------------------------------------------------
                           calamares              3.1.9-1             3.1.11-9
                       calamares-git3.2.0.r4158.f131c96c0-13.2.0.r4261.138fd82a8-1
         grub-theme-live-manjaro-dev               17.1-5              17.1-10
               grub-theme-live-sonar               17.1-5              17.1-10
                         libxpresent              1.0.0-1   1.0.0+2+gdd6771c-1
            manjaro-documentation-fr           20171125-1           20171128-1
                          xfwm4-gtk3             4.13.0-7             4.13.0-8
          grub-theme-live-common-dev                    -              17.1-10
                        linux316-spl                    -           0.7.5-1.51
                        linux316-zfs                    -           0.7.5-1.51
                         linux41-spl                    -           0.7.5-1.48
                         linux41-zfs                    -           0.7.5-1.48
                    mesa-wayland-dri                    -             17.3.1-1
                           spl-utils                    -              0.7.5-1
                           zfs-utils                    -              0.7.5-1


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           2017-12-26           2017-12-29
-------------------------------------------------------------------------------
                            composer            1.5.5-1.0            1.5.6-1.0
                                fcgi             2.4.0-12           2.4.0-13.0
                             fig2dev              3.2.6-1                    -
                             getmail                5.4-1              5.5-1.0
                               gpart                0.3-1              0.3-2.0
                     libunicodenames              1.2.0-1            1.2.2-1.0
                          live-media         2017.06.04-1       2017.10.28-1.0
                              openmp              5.0.0-1            5.0.1-1.0
                    perl-archive-zip               1.59-5             1.60-1.0
                   perl-http-message               6.13-2             6.14-1.0
                        perl-net-dns               1.13-1             1.14-1.0
                   publicsuffix-list20170804.619.e8c69a6-120171218.632.85fa8fb-1.0
                               tclap              1.2.1-3                    -
                         terminology              1.1.0-1            1.1.1-1.0
                                vice                3.1-1              3.1-2.0
                               xsnow               1.42-6             1.42-7.0

:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE           2017-12-26           2017-12-29
-------------------------------------------------------------------------------
           adapta-black-breath-theme          3.92.2.40-1          3.92.2.57-1
             adapta-black-maia-theme          3.92.2.40-1          3.92.2.57-1
                 adapta-breath-theme          3.92.2.40-1          3.92.2.57-1
                    adapta-gtk-theme          3.92.2.40-1          3.92.2.57-1
                   adapta-maia-theme          3.92.2.40-1          3.92.2.57-1
  gnome-shell-extension-dash-to-dock                 61-1                 62-1
gnome-shell-extension-manjaro-update                3.2-3                3.3-1
    manjaro-gnome-extension-settings           20171224-1           20171228-1
              manjaro-gnome-settings           20171224-1           20171228-1
       manjaro-xfce-minimal-settings           20171214-2           20171228-1
               manjaro-xfce-settings           20171214-2           20171228-1
                         vlc-nightly     3.0.0v20171216-1     3.0.0v20171227-1
                   vlc-nightly-debug     3.0.0v20171216-1     3.0.0v20171227-1
                             kpmcore                    -              3.3.0-1
                    partitionmanager                    -              3.3.0-1


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE           2017-12-26           2017-12-29
-------------------------------------------------------------------------------
                           aspell-pl           20160809-1         20171220-1.0
                                  at             3.1.20-3           3.1.20-4.0
                           auditbeat            6.0.1-1.0            6.1.1-1.0
                            backuppc              4.1.3-4            4.1.5-2.0
                             benzene              1.2.2-1         20130630-1.0
                             chicken             4.12.0-2           4.13.0-1.0
                              consul              1.0.1-1            1.0.2-1.0
                           ctemplate                2.3-4              2.3-5.0
                                dart             1.24.2-1           1.24.3-1.0
                               dmenu                4.7-1              4.7-2.0
                              elixir              1.5.2-1            1.5.3-1.0
                              erlang               20.1-1             20.2-1.1
                          erlang-nox             20.0.1-1             20.2-1.0
                     erlang-unixodbc               20.1-1             20.2-1.1
                             esptool              2.0.1-1              2.2-1.0
                            filebeat            6.0.1-1.0            6.1.1-1.0
                    firefox-noscript           10.1.2-1.0           10.1.6-1.0
                            firejail             0.9.50-1           0.9.52-1.0
                            gcc-docs              6.3.0-1            7.2.0-1.0
                           gengetopt             2.22.6-6           2.22.6-7.0
                            geogebra          5.0.400.0-1        5.0.414.0-1.0
                              glider              0.4.1-2            0.4.3-1.0
                        gtkimageview              1.6.4-4            1.6.4-5.0
                haskell-tasty-golden          2.3.1.1-4.0          2.3.1.2-1.0
                   heartbeat-elastic            6.0.1-1.0            6.1.1-1.0
                              hidapi           0.8.0rc1-2         0.8.0rc1-3.0
                             libdnet               1.12-9            1.12-10.0
                              libgig              4.0.0-2            4.1.0-1.0
                           libhomfly           1.02r4-1.0           1.02r5-1.0
                        linuxsampler              2.0.0-4            2.1.0-1.0
                                mcqd                1.0-3            1.0.0-1.0
                           mediawiki             1.29.2-1           1.30.0-1.0
                      mediawiki-math             1.29.2-1           1.30.0-1.0
                          metricbeat            6.0.1-1.0            6.1.1-1.0
                             nanomsg              1.1.0-1            1.1.2-1.0
                             neomutt           20171013-2         20171215-1.0
                        oath-toolkit              2.6.2-1            2.6.2-2.0
                          packetbeat            6.0.1-1.0            6.1.1-1.0
                            pacutils              0.6.0-1            0.6.1-1.0
                         par2cmdline              0.7.4-1            0.8.0-1.0
                           perl-json               2.90-2          2.97000-1.0
                     perl-term-table              0.010-1            0.012-1.0
                       phpvirtualbox              5.0_5-2         5.2_0rc1-2.0
                         python-docs              3.6.3-1            3.6.4-1.0
                      python2-btchip             0.1.20-2           0.1.24-2.0
                              rustup            1.7.0-1.0            1.8.0-1.0
                             sthttpd             2.27.0-3           2.27.1-1.0
                               tdlib              0.5.0-1            0.5.0-2.0
                          teamspeak3              3.1.6-1            3.1.7-2.0
                            three.js                r88-1              r89-1.0
                virtualbox-guest-iso            5.2.2-1.0            5.2.4-1.0
                             wings3d              2.1.5-3            2.1.5-6.0
                       xcursor-comix              0.9.0-1            0.9.0-2.0
                           erlang200                    -             20.0-1.0
                  erlang200-unixodbc                    -             20.0-1.0
                             fig2dev                    -            3.2.6-1.1
                         haskell-url                    -            2.1.3-1.0
                       python-btchip                    -           0.1.24-2.0
                            range-v3                    -            0.3.0-2.0
                               tclap                    -            1.2.1-4.0

Any problems?

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


1 Like

2012 is over xD
You did a mistake in the title.

1 Like

Too many 12s... :upside_down_face:

Enough stalling, I'm pulling the trigger. There's nothing in this update that should cause any issues.

This topic was automatically closed after 22 hours. New replies are no longer allowed.

Forum kindly sponsored by